<?php
namespace Mirasvit\LayeredNavigation\Controller\Adminhtml\Image\Upload;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Controller\Adminhtml\Image\Upload
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Controller\Adminhtml\Image\Upload implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Core\Helper\Cron $cronHelper, \Magento\Framework\Stdlib\DateTime\DateTime $date, \Magento\Framework\Registry $registry, \Magento\Framework\Json\Helper\Data $jsonEncoder, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($cronHelper, $date, $registry, $jsonEncoder, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
